SoGLProjectionMatrixElement(3)

NAME
SoGLProjectionMatrixElement - The SoGLProjectionMatrixElement class is yet to be documented.

SYNOPSIS

#include <Inventor/elements/SoGLProjectionMatrixElement.h>

Inherits SoProjectionMatrixElement.

  Public Member Functions
virtual void pop (SoState *state, const SoElement *prevTopElement)
FIXME: write doc.
Public Member Functions inherited from SoProjectionMatrixElement
virtual void init (SoState *state)
Public Member Functions inherited from SoReplacedElement
virtual SbBool matches (const SoElement *element) const
virtual SoElement * copyMatchInfo () const
SbUniqueId getNodeId () const
virtual void print (FILE *file) const
Public Member Functions inherited from SoElement
const SoType getTypeId (void) const
int getStackIndex (void) const
virtual void push (SoState *state)
void setDepth (const int depth)
int getDepth (void) const
virtual ~SoElement ()

  Static Public Member Functions
static SoType getClassTypeId (void)
static int getClassStackIndex (void)
static void * createInstance (void)
static void initClass (void)
Static Public Member Functions inherited from SoProjectionMatrixElement
static SoType getClassTypeId (void)
static int getClassStackIndex (void)
static void * createInstance (void)
static void initClass (void)
static void set (SoState *const state, SoNode *const node, const SbMatrix &matrix)
static const SbMatrix & get (SoState *const state)
Static Public Member Functions inherited from SoReplacedElement
static SoType getClassTypeId (void)
static int getClassStackIndex (void)
static void initClass (void)
Static Public Member Functions inherited from SoElement
static void initClass (void)
static SoType getClassTypeId (void)
static int getClassStackIndex (void)
static void initElements (void)
static int getNumStackIndices (void)
static SoType getIdFromStackIndex (const int stackIndex)

  Protected Member Functions
virtual ~SoGLProjectionMatrixElement ()
virtual void setElt (const SbMatrix &matrix)
FIXME: write doc.
Protected Member Functions inherited from SoProjectionMatrixElement
virtual ~SoProjectionMatrixElement ()
Protected Member Functions inherited from SoReplacedElement
virtual ~SoReplacedElement ()
Protected Member Functions inherited from SoElement
SoElement (void)
void capture (SoState *const state) const
virtual void captureThis (SoState *state) const
void setTypeId (const SoType typeId)
void setStackIndex (const int index)
SoElement * getNextInStack (void) const
SoElement * getNextFree (void) const

  Additional Inherited Members
Static Protected Member Functions inherited from SoReplacedElement
static SoElement * getElement (SoState *const state, const int stackIndex, SoNode *const node)
Static Protected Member Functions inherited from SoElement
static SoElement * getElement (SoState *const state, const int stackIndex)
static const SoElement * getConstElement (SoState *const state, const int stackIndex)
static int createStackIndex (const SoType id)
Protected Attributes inherited from SoProjectionMatrixElement
SbMatrix projectionMatrix
Protected Attributes inherited from SoReplacedElement
SbUniqueId nodeId
Protected Attributes inherited from SoElement
SoType typeId
int stackIndex
int depth
Static Protected Attributes inherited from SoElement
static int classStackIndex
static SoTypeList * stackToType

Detailed Description

The SoGLProjectionMatrixElement class is yet to be documented. FIXME: write doc.

Constructor & Destructor Documentation

  SoGLProjectionMatrixElement::~SoGLProjectionMatrixElement (void ) [protected], [virtual]
Destructor.

Member Function Documentation

  SoType SoGLProjectionMatrixElement::getClassTypeId (void ) [static]
This static method returns the SoType object associated with objects of this class.

  int SoGLProjectionMatrixElement::getClassStackIndex (void ) [static]
This static method returns the state stack index for the class.

  void * SoGLProjectionMatrixElement::createInstance (void ) [static]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Creates a new instance of the class type corresponding to the SoType object.

  void SoGLProjectionMatrixElement::initClass (void ) [static]
Initialize relevant common data for all instances, like the type system.

  void SoGLProjectionMatrixElement::pop (SoState * state, const SoElement * prevTopElement) [virtual]

FIXME: write doc.

Reimplemented from SoElement.

  void SoGLProjectionMatrixElement::setElt (const SbMatrix & matrix) [protected], [virtual]

FIXME: write doc.

Reimplemented from SoProjectionMatrixElement.

Author

Generated automatically by Doxygen for Coin from the source code.